<template>
  <div>
    <h1 class="mb-3">Add your shipping address</h1>
    <p class="mb-6 text-base">If prescribed, treatment ships quickly and will be discreetly delivered to your door.</p>
    <div class="grid gap-y-3 mb-5">
      <div class="grid grid-cols-2 gap-x-2">
        <TextInput
          label="Legal First Name"
          v-model="selected.firstName"
        />
        <TextInput
          label="Legal Last Name"
          v-model="selected.lastName"
        />
      </div>
      <TextInput
        label="Street Address"
        v-model="selected.address"
      />
      <TextInput
        label="Apt/Suite"
        v-model="selected.apt"
      />
      <TextInput
        label="City"
        v-model="selected.city"
      />
      <div class="grid grid-cols-2 gap-x-2">
        <TextInput
          label="State"
          v-model="selected.state"
        />
        <TextInput
          label="Zipcode"
          v-model="selected.zipcode"
        />
      </div>
    </div>
    <div
      v-if="showTextData"
    >
      <checkbox-input
        :value="checkboxSelected"
        :transparent="true"
        :input-value="'Yes'"
        @input="handleCheckboxInput"
      >
        Text me updates.
      </checkbox-input>
    </div>
    <CommonBtn
      class="mt-3 mb-5"
      text="Continue to Review"
      :disabled="$v.selected.$invalid"
      @click="$emit('nextStage')"
    />
    <p
      v-if="showTextData"
      class="text-xs"
    >
      By clicking TEXT ME UPDATES, I agree to receive calls and texts from Shapiro MD, its corporate affiliates, and marketing partners to the phone number that I provided above and I understand that consent is not a condition of purchase.
    </p>
  </div>
</template>

<script>
import TextInput from "@/components/inputs/TextInput";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import {answersMixin, checkboxMixin, productMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import {required} from 'vuelidate/lib/validators'
export default {
  mixins: [answersMixin, productMixin, checkboxMixin],
  name: "VisitSummaryShipping",
  components: {CommonBtn, CheckboxInput, TextInput},
  validations: {
    selected: {
      firstName: {required},
      lastName: {required},
      address: {required},
      apt: {required},
      city: {required},
      state: {required},
      zipcode: {required},
    },
  },
  mounted() {
    const basics2Data = this.answer(this.answersKeys.THE_BASICS)?.stage_2 || {}
    const basics1Data = this.answer(this.answersKeys.THE_BASICS)?.stage_1 || {}

    this.selected.firstName = basics2Data.firstName
    this.selected.lastName = basics2Data.lastName
    this.selected.zipcode = basics1Data.zipcode

  },
  data() {
    return {
      selected: {
        firstName: '',
        lastName: '',
        address: '',
        apt: '',
        city: '',
        state: '',
        zipcode: '',
      },
      checkHandler: newVal => {
        this.setAnswer(this.answersKeys.VISIT_SUMMARY, newVal.join('') || false, 'text_updates')
      }
    }
  },
  computed: {
    showTextData() {
      return !this.answer(this.answersKeys.SMS_UPDATES)?.default
    }
  }
}
</script>

<style scoped>

</style>
